# List Available Webhook Events

Retrieves a list of all supported webhook events.

<Callout icon="📘" theme="info">
  **Note:**

  * Scroll down to the **Response** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** section on the right and choose an example to see how the API response appears for each status code.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/webhook/webhook.list": {
      "get": {
        "summary": "List Available Webhook Events",
        "description": "list all supported webhook events",
        "operationId": "list-available-webhook-events",
        "responses": {
          "200": {
            "description": "Webhook events retrieved successfully - Expand to view the detailed response schema. ",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "code": 100,
                      "data": [
                        "avatar_video.success",
                        "avatar_video.fail",
                        "avatar_video_gif.success",
                        "avatar_video_gif.fail",
                        "video_translate.success",
                        "video_translate.fail",
                        "personalized_video",
                        "instant_avatar.success",
                        "instant_avatar.fail",
                        "photo_avatar_generation.success",
                        "photo_avatar_generation.fail",
                        "photo_avatar_train.success",
                        "photo_avatar_train.fail",
                        "photo_avatar_add_motion.success",
                        "photo_avatar_add_motion.fail",
                        "proofread_creation.success",
                        "proofread_creation.fail",
                        "live_avatar.success",
                        "live_avatar.fail"
                      ],
                      "msg": null,
                      "message": null
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "description": "Status code indicating the result of the API request. A 100 indicates a successful response. Other codes might indicate different types of errors. Refer to the <a href=\"https://docs.heygen.com/reference/errors\" target=\"_blank\">Error Responses</a> for more details."
                    },
                    "data": {
                      "type": "string",
                      "description": "Contains the list of supported events the webhooks can listen to. ",
                      "enum": [
                        "avatar_video.success",
                        "avatar_video.fail",
                        "avatar_video_gif.success",
                        "avatar_video_gif.fail",
                        "video_translate.success",
                        "video_translate.fail",
                        "personalized_video",
                        "instant_avatar.success",
                        "instant_avatar.fail",
                        "photo_avatar_generation.success",
                        "photo_avatar_generation.fail",
                        "photo_avatar_train.success",
                        "photo_avatar_train.fail",
                        "photo_avatar_add_motion.success",
                        "photo_avatar_add_motion.fail",
                        "proofread_creation.success",
                        "proofread_creation.fail",
                        "live_avatar.success",
                        "live_avatar.fail"
                      ]
                    },
                    "msg": {
                      "type": "string",
                      "description": "Legacy field for messages. This field is deprecated."
                    },
                    "message": {
                      "type": "string",
                      "description": "New field for messages. Contains human-readable messages explaining the status of the request. In case of errors, it returns an explanation."
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```